- name: Create one Instance of Digital Ocean Droplet  
  hosts: localhost
  vars_files: 
    - ../secrets/digital_secret.yaml
    - ../machines.yml
  tasks: 
    - name: "Destroy Droplet"
      digital_ocean_droplet: 
        state: absent
        name: "{{item.name}}"
        oauth_token: "{{authtoken}}"
        unique_name: true
        wait_timeout: 500
      loop: "{{ machines }}"
      register: droplet
    - name: "Show Droplet Info"
      debug: 
        msg: "{{droplet}}"


# ansible-playbook -i inventory.ini playbooks/destroy-multiple.yaml --vault-password-file secrets/vault-password.txt 
      
      